Skip to content

GET /v1/organizations/{org_id}/projects/{id}/workflows

A project’s automation workflows (trigger → conditions → actions) and the history of their runs.

GET /api/v1/organizations/{org_id}/projects/{project_id}/workflows
Authorization: Bearer twa_your_key_here
ParameterTypeDescription
org_idUUIDOrganization identifier
project_idUUIDProject identifier
[
{
"id": "018e8888-0000-7000-8000-000000000040",
"name": "Default workflow",
"is_enabled": true,
"is_default": true,
"created_at": "2024-03-15T10:22:00Z",
"updated_at": "2024-06-01T08:00:00Z"
}
]
FieldTypeDescription
idstring (UUID)Workflow identifier
namestringName
is_enabledbooleanWorkflow active
is_defaultbooleanProject’s default workflow
created_atstring (ISO 8601)Creation date
updated_atstring (ISO 8601)Last change
GET /api/v1/organizations/{org_id}/projects/{project_id}/workflows/{workflow_id}/runs
Authorization: Bearer twa_your_key_here
ParameterTypeDescription
limitintegerNumber of runs, max 200 (default 50)
[
{
"id": "018e8888-0000-7000-8000-000000000041",
"workflow_id": "018e8888-0000-7000-8000-000000000040",
"trigger_event": "cve.new_match",
"cve_id": "CVE-2024-3094",
"status": "success",
"started_at": "2024-07-01T06:05:00Z",
"finished_at": "2024-07-01T06:05:02Z"
}
]
FieldTypeDescription
idstring (UUID)Run identifier
workflow_idstring (UUID)Executed workflow
trigger_eventstringTrigger event (e.g. cve.new_match)
cve_idstring | nullRelated CVE
statusstringsuccess, partial, failed, throttled, dry_run
started_atstring (ISO 8601)Start
finished_atstring (ISO 8601) | nullEnd (null if running)
CodeDetailCause
404Projet introuvableProject not found or not in this organization
404Workflow introuvableworkflow_id not found on this project

Latest failed runs

Fenêtre de terminal
ORG_ID="018e5678-abcd-7000-8000-000000000001"
PROJECT_ID="018e1234-abcd-7000-8000-000000000010"
WORKFLOW_ID="018e8888-0000-7000-8000-000000000040"
curl -s \
-H "Authorization: Bearer twa_your_key_here" \
"https://app.techwatchalert.com/api/v1/organizations/${ORG_ID}/projects/${PROJECT_ID}/workflows/${WORKFLOW_ID}/runs?limit=100" \
| jq '.[] | select(.status == "failed" or .status == "partial") | {cve_id, status, started_at}'